<?
require_once("include/bittorrent.php");
function bark($msg) {
genbark($msg, "Job failed!");
}
dbconn();
loggedinorreturn();
if (get_user_class() >= UC_MODERATOR) {


if (empty($_POST["deltor"]))
   bark("Don't leave any fields blank.");


mysql_query("DELETE FROM torrents WHERE id IN (" . implode(", ", $_POST[deltor]) . ")");
mysql_query("DELETE FROM snatched WHERE torrentid IN (" . implode(", ", $_POST[deltor]) . ")");
mysql_query("DELETE FROM peers WHERE torrent IN (" . implode(", ", $_POST[deltor]) . ")");
mysql_query("DELETE FROM comments WHERE torrent IN (" . implode(", ", $_POST[deltor]) . ")");
mysql_query("DELETE FROM files WHERE torrent IN (" . implode(", ", $_POST[deltor]) . ")");
mysql_query("DELETE * FROM traffic WHERE torrentid IN (" . implode(", ", $_POST[deltor]) . ")");
}
header("Refresh: 0; url=/deloldtorrent.php");
?>